Pular para o conteúdo

Search payments

Requisição

Returns a paginated list of payments matching the specified filters. You can filter by status, date range, destination country, currency, or custom labels.

Segurança
Bearer
Corpoapplication/jsonobrigatório

Search payments request

filterobject

Filter criteria to return desired payment search results.

sortobject

Defines the sorting parameters for listing payments, including the field and sort direction.

pageobject

Specify page size and the ID of the last fetched result.

curl -i -X POST \
  https://docs.ripple.com/_mock/pt-br/products/payments-direct-2/v2026.03/api-docs/payments-direct-api/payments-direct-2-api/v3/payments/filter \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "filter": {
      "paymentIds": [
        "aaaaaaaa-1111-bbbb-abab-123412341234"
      ],
      "paymentStates": [
        "INITIATED"
      ],
      "filterRangeType": "PAYMENT_CREATION",
      "beforeTimestamp": "2024-04-24T14:15:22Z",
      "afterTimestamp": "2024-03-24T13:15:22Z",
      "beneficiaryIdentityIds": [
        "aaaaaaaa-1111-bbbb-abab-123412341234"
      ],
      "internalId": "string",
      "beneficiaryIdentityNickname": "Successful business beneficiary",
      "destinationCurrencies": [
        "string"
      ],
      "paymentLabels": [
        "batchId=aaaaaaaa-1111-bbbb-abab-123412341234"
      ]
    },
    "sort": {
      "sortField": "initiatedAt",
      "sortDirection": "DESC"
    },
    "page": {
      "size": 20,
      "lastPageToken": "string"
    }
  }'

Respostas

Payments matching the specified filtering criteria.

Corpoapplication/json
dataArray of objects

Array of Payment objects

filterobject

Filter criteria to return desired payment search results.

sortobject

Defines the sorting parameters for listing payments, including the field and sort direction.

pageobject

Specify page size and the ID of the last fetched result.

Resposta
{ "data": [ { … } ], "filter": { "paymentIds": [ … ], "paymentStates": [ … ], "filterRangeType": "PAYMENT_CREATION", "beforeTimestamp": "2024-04-24T14:15:22Z", "afterTimestamp": "2024-03-24T13:15:22Z", "beneficiaryIdentityIds": [ … ], "internalId": "string", "beneficiaryIdentityNickname": "Successful business beneficiary", "destinationCurrencies": [ … ], "paymentLabels": [ … ] }, "sort": { "sortField": "initiatedAt", "sortDirection": "DESC" }, "page": { "size": 20, "lastPageToken": "string" } }